%{?!python3_pkgversion:%global python3_pkgversion 3}

%global pypi_name antsibull-changelog

Name:           antsibull-changelog
Version:        0.8.1
Release:        1%{?dist}
Summary:        Ansible Changelog Tool
License:        GPLv3+
URL:            https://github.com/ansible-community/antsibull-changelog
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pyyaml
BuildRequires:  python%{python3_pkgversion}-docutils
BuildRequires:  python%{python3_pkgversion}-packaging
BuildRequires:  python%{python3_pkgversion}-rstcheck
BuildRequires:  python%{python3_pkgversion}-semantic_version
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-mock


%{?python_enable_dependency_generator}

%description
A changelog generator used by Ansible and Ansible collections.


%prep
%autosetup -p1


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install
#
# We don't need to ship all the tests, especially in a generic 'tests' namespace.
#
rm -rf %{buildroot}/%{python3_sitelib}/tests


%check
%{__python3} -m pytest


%files
%license LICENSE
%doc README.md
%{_bindir}/antsibull-changelog
%{python3_sitelib}/antsibull_changelog
%{python3_sitelib}/antsibull_changelog-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Oct 10 10:58:07 PDT 2020 Kevin Fenzi <kevin@scrye.com>
- Initial version for review
